Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.addressing.soap
Class SoapConstants

    java.lang.Object
      org.apache.muse.ws.addressing.soap.SoapConstants

public class SoapConstants
extends java.lang.Object

SoapConstants is a collection of values related to SOAP 1.2.

Author:
  Dan Jemiolo (danj)

Field Summary
`static java.lang.String` | `ACTOR`
`static QName` | `BODY_QNAME`
`static QName` | `CODE_QNAME`
`static java.lang.String` | `CONTENT_TYPE_HEADER`
`static QName` | `DETAIL_QNAME`
`static QName` | `ENVELOPE_QNAME`
`static QName` | `FAULT_QNAME`
`static QName` | `HEADER_QNAME`
`static java.lang.String` | `MUST_UNDERSTAND`
`static java.lang.String` | `NAMESPACE_URI` The SOAP 1.2 namespace URI.
`static QName` | `NODE_QNAME`
`static java.lang.String` | `PREFIX`
`static QName` | `REASON_QNAME`
`static QName` | `RECEIVER_QNAME`
`static QName` | `ROLE_QNAME`
`static QName` | `SENDER_QNAME`
`static QName` | `SUBCODE_QNAME`
`static QName` | `TEXT_QNAME`
`static QName` | `VALUE_QNAME`

Constructor Summary
`SoapConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

  The SOAP 1.2 namespace URI.

  See Also:
    Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### ACTOR

    public static final java.lang.String ACTOR

See Also:
  Constant Field Values

### MUST_UNDERSTAND

    public static final java.lang.String MUST_UNDERSTAND

See Also:
  Constant Field Values

### CONTENT_TYPE_HEADER

    public static final java.lang.String CONTENT_TYPE_HEADER

See Also:
  Constant Field Values

### ENVELOPE_QNAME

    public static final QName ENVELOPE_QNAME

### HEADER_QNAME

    public static final QName HEADER_QNAME

### BODY_QNAME

    public static final QName BODY_QNAME

### FAULT_QNAME

    public static final QName FAULT_QNAME

### CODE_QNAME

    public static final QName CODE_QNAME

### SUBCODE_QNAME

    public static final QName SUBCODE_QNAME

### VALUE_QNAME

    public static final QName VALUE_QNAME

### REASON_QNAME

    public static final QName REASON_QNAME

### TEXT_QNAME

    public static final QName TEXT_QNAME

### NODE_QNAME

    public static final QName NODE_QNAME

### ROLE_QNAME

    public static final QName ROLE_QNAME

### DETAIL_QNAME

    public static final QName DETAIL_QNAME

### SENDER_QNAME

    public static final QName SENDER_QNAME

### RECEIVER_QNAME

    public static final QName RECEIVER_QNAME

Constructor Detail

### SoapConstants

    public SoapConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD